Bug 474652 - pymol segfaults under the i386 Fedora 10 radeon drivers.
pymol segfaults under the i386 Fedora 10 radeon drivers.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 14:08 EST by Need Real Name
Modified: 2009-10-14 08:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: xorg-x11-drv-ati-6.9.0-62.fc10.i386
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-14 08:27:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
srpm for pymol-1.1r1 (7.38 MB, application/x-rpm)
2008-12-04 14:08 EST, Need Real Name
no flags Details
/etc/xorg.conf (821 bytes, text/plain)
2008-12-08 13:43 EST, Need Real Name
no flags Details
/var/log/Xorg.0.log (54.46 KB, text/plain)
2008-12-08 13:44 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2008-12-04 14:08:46 EST
Created attachment 325723 [details]
srpm for pymol-1.1r1

Description of problem: Pymol 1.1r2pre crashes on i686 Fedora on Radeon X600 graphics chipset with the error....

 PyMOL(TM) Molecular Graphics System, Version 1.1r2pre.
 Copyright (C) 2008 by DeLano Scientific LLC.
 All Rights Reserved.

    Created by Warren L. DeLano, Ph.D.

    Other Major Authors and Contributors:

       Ralf W. Grosse-Kunstleve, Ph.D.

    PyMOL is user-supported open-source software.  Although some versions
    are freely available, PyMOL is not in the public domain.

    If PyMOL is helpful in your work or study, then please volunteer
    support for our ongoing efforts to create open and affordable scientific
    software by purchasing a PyMOL Maintenance and/or Support subscription.

    More information can be found at "http://www.pymol.org".

    Enter "help" for a list of commands.
    Enter "help <command-name>" for information on a specific command.

 Hit ESC anytime to toggle between text and graphics.

 OpenGL graphics engine:
  GL_VENDOR: DRI R300 Project
  GL_RENDERER: Mesa DRI R300 20060815 x86/MMX/SSE2 TCL
  GL_VERSION: 1.3 Mesa 7.3-devel
Mesa 7.3-devel implementation error: radeon_program_pair.c::allocate_input_registers(): Don't know how to handle inputs 0x8


Please report at bugzilla.freedesktop.org
pc=0*************************************
Hardware program
----------------
NODE 0: alu_offset: 0, tex_offset: 0, alu_end: -1, tex_end: -1, flags: 00000000
*********************************WARN_ONCE*********************************
File r300_render.c function r300Fallback line 363
Software fallback:!fp->translated
***************************************************************************
Mesa 7.3-devel implementation error: radeon_program_pair.c::allocate_input_registers(): Don't know how to handle inputs 0x8


Please report at bugzilla.freedesktop.org
pc=1*************************************
Hardware program
----------------
NODE 0: alu_offset: 0, tex_offset: 0, alu_end: -1, tex_end: -1, flags: 00000000
Segmentation fault



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install i386 Fedora 10 and configure for the radeon drivers.
2. Install the pymol-1.1r1-1f9 srpm, build it and install it.
3. Execute pymol from a terminal window.
  
Actual results:

 PyMOL(TM) Molecular Graphics System, Version 1.1r2pre.
 Copyright (C) 2008 by DeLano Scientific LLC.
 All Rights Reserved.

    Created by Warren L. DeLano, Ph.D.

    Other Major Authors and Contributors:

       Ralf W. Grosse-Kunstleve, Ph.D.

    PyMOL is user-supported open-source software.  Although some versions
    are freely available, PyMOL is not in the public domain.

    If PyMOL is helpful in your work or study, then please volunteer
    support for our ongoing efforts to create open and affordable scientific
    software by purchasing a PyMOL Maintenance and/or Support subscription.

    More information can be found at "http://www.pymol.org".

    Enter "help" for a list of commands.
    Enter "help <command-name>" for information on a specific command.

 Hit ESC anytime to toggle between text and graphics.

 OpenGL graphics engine:
  GL_VENDOR: DRI R300 Project
  GL_RENDERER: Mesa DRI R300 20060815 x86/MMX/SSE2 TCL
  GL_VERSION: 1.3 Mesa 7.3-devel
Mesa 7.3-devel implementation error: radeon_program_pair.c::allocate_input_registers(): Don't know how to handle inputs 0x8


Please report at bugzilla.freedesktop.org
pc=0*************************************
Hardware program
----------------
NODE 0: alu_offset: 0, tex_offset: 0, alu_end: -1, tex_end: -1, flags: 00000000
*********************************WARN_ONCE*********************************
File r300_render.c function r300Fallback line 363
Software fallback:!fp->translated
***************************************************************************
Mesa 7.3-devel implementation error: radeon_program_pair.c::allocate_input_registers(): Don't know how to handle inputs 0x8


Please report at bugzilla.freedesktop.org
pc=1*************************************
Hardware program
----------------
NODE 0: alu_offset: 0, tex_offset: 0, alu_end: -1, tex_end: -1, flags: 00000000
Segmentation fault

Expected results:
I expected pymol to open up both its tk control window and is Pymol viewer window normally.

Additional info:
This issue appears to be the same as discussed in the following thread...\

http://www.mail-archive.com/dri-devel lists sourceforge net/msg36389.html
Comment 1 Matěj Cepl 2008-12-04 19:44:12 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Need Real Name 2008-12-08 13:43:27 EST
Created attachment 326163 [details]
/etc/xorg.conf
Comment 4 Need Real Name 2008-12-08 13:44:28 EST
Created attachment 326164 [details]
/var/log/Xorg.0.log
Comment 5 Matěj Cepl 2008-12-19 07:08:20 EST
(In reply to comment #2)
> related/duplicate bugs:
>
> https://bugzilla.redhat.com/show_bug.cgi?id=465415

I don't see any crash here (comparing to bug 465415), so I will keep it separate. Reporter, could you check this for me? Run, please, as root

grep ^Backtrace /var/log/Xorg.*

and paste the output (if any) to this bug?

Thank you very much.
Comment 6 Need Real Name 2008-12-19 09:19:02 EST
A correction. To cause pymol crash, it has do some rendering in the Pymol Viewer window. When pymol launches, select the Representations menu item from the Demo submenus of the Wizard menu. This should display a set of eight
rotating molecular structures as it does under Fedora 9. Instead you will see the
program quit out with the errors messages appearing in the terminal window that you originally executed the pymol command in.
Comment 7 Need Real Name 2008-12-23 16:05:30 EST
The crashes appear to be eliminated in current fedora-testing for Fedora 10.

mesa-libGL-7.2-0.15.fc10.i386
xorg-x11-drv-ati-6.9.0-62.fc10.i386

allows pymol to run all of its Demos without crashing.
Comment 8 Jérôme Glisse 2009-10-14 07:47:12 EDT
I think this bug should be closed. Please reopen if you experience the same issue on newer fedora 12.

Note You need to log in before you can comment on or make changes to this bug.